var frmmaximized = false;
var tmpWidth = 0;
var tmpHeight = 0;
var constMinWidth = 352;
var constMinHeight = 110;
var g_fExpectingSizeChange  = false;
var g_fUserHasSized         = false;
var videoVis = false;
var efectVis = false;


function OnLoad()
{
	
    OnOpenStateChange();
    OnPlayStateChange();
	mediacenter.videoStretchToFit=false;
	play.visible=true;
	
	tmpWidth = parseInt(theme.loadPreference("tmpWidth"));
	tmpHeight = parseInt(theme.loadPreference("tmpHeight"));
	if (tmpWidth > 0)
	{
		
		view.width = tmpWidth;
		
	}
	
	if (tmpHeight > 0)
	{
		
		view.height = tmpHeight;
		
	}
	
}


function OnClose()
{
	
	theme.savePreference("tmpWidth",view.width);
	theme.savePreference("tmpHeight",view.height);
	
}


function SizeChange()
{
	
    if (!g_fExpectingSizeChange)
    {
        g_fUserHasSized = true;
    }
	tmpWidth = view.width;
	tmpHeight = view.height;
	
}


function OnPlay()
{
	
	//view.width = player.currentMedia.imageSourceWidth+2;
	//view.height = player.currentMedia.imageSourceHeight + constMinHeight;
	
}


function OnOpenStateChange()
{
	
	
	if(player.OpenState == osMediaOpen)
    {
        	
		StartPlaying();
    }
	
}


function OnURLChange()
{
	
	//view.width = player.currentMedia.imageSourceWidth+2;
	//view.height = player.currentMedia.imageSourceHeight + constMinHeight;
	
}


function OnPlayStateChange()
{
	
	switch(player.PlayState)
	{
		
		case psStopped:
			play.visible = true;
			StopPlaying();
			break;
		case psPaused:
			play.visible = true;
			break;
		case psPlaying:
			play.visible = false;
			StartPlaying();
			break;
		case psScanForward:
			play.visible = false;
			break;
		case psScanReverse:
			play.visible = false;
			break;
		case psMediaEnded:
			play.visible = true;
			StopPlaying();
			break;
		case psReady:
			StopPlaying();
			break;
		default:
			break;
		
	}
	
}


function StartPlaying()
{
	
    if (player.currentMedia.ImageSourceWidth == 0)
    {
	  vis.visible = true;
        video.visible = false;
		
    }
    else
    {
        vis.visible = false;
        video.visible = true;
		
        if ((!g_fUserHasSized && mediacenter.videoStretchToFit) || !mediacenter.videoStretchToFit)
        {
			
            var zoom = mediacenter.videoStretchToFit ? 100 : mediacenter.videoZoom;
			
            var x = (player.currentMedia.imageSourceWidth * (zoom / 100.0));
            if (x < 320) 
            {
				
                x = 320;
				
            }
            var y = (player.currentMedia.imageSourceHeight * (zoom / 100.0));
			
            g_fExpectingSizeChange = true;
            view.width = x + 8;
            view.height = y + constMinHeight;
            g_fExpectingSizeChange = false;
			SizeChange();
			
        }
		else
		{
			
			if (view.height == constMinHeight)
			{
				
				view.width = player.currentMedia.imageSourceWidth + 8;
				view.height = player.currentMedia.imageSourceHeight + constMinHeight;
				SizeChange();
				
			}
			
		}
		
    }
	
	videoVis = video.visible;
	efectVis = vis.visible;
	
    UpdateMetadata();
	
}


function StopPlaying()
{
	
	video.visible = false;
	vis.visible = false;

	
}


function OnSizer()
{
	
	mediacenter.videoStretchToFit=true;
	view.size('bottomright');
	
}


function UpdateMetadata(status)
{
    if(player.openState==osMediaOpen)
    {
        update = status ? true : !update;
        metadata.value = (update ?
            player.status : player.currentMedia.name);
    }
}


function formMaximize()
{
    
	if (button_tile.visible)
	{
		
		if (frmmaximized)
		{
			
			sizer.visible=true;
			view.restore();
			frmmaximized=false;
			
		}
		else
		{
			
			sizer.visible=false;
			view.maximize();
			frmmaximized=true;
			
		}
	}
	
}


function RollUpDown()
{
    
	if (button_tile.visible)
	{
		
		videoVis = video.visible;
		efectVis = vis.visible;
		
		button_tile.visible = false;
		button_tile_right.visible = false;
		bottom_right.visible = false;
		bottom_left.visible = false;
		bottom_tile.visible = false;
		bottom_tile_right.visible = false;
		bottom_tile_left.visible = false;
		bottom_view.visible = false;
		video.visible = false;
		vis.visible = false;
		videoborder_right.visible = false;
		videoborder_left.visible = false;
		videoview.visible = false;
		work_view.visible = false;
		top.visible = false;

	}
	else
	{
		
		videoview.visible = true;
		work_view.visible = true;
		videoborder_right.visible = true;
		videoborder_left.visible = true;
		video.visible = videoVis;
		vis.visible = efectVis;
		bottom_view.visible = true;
		bottom_tile.visible = true;
		bottom_right.visible = true;
		bottom_left.visible = true;
		bottom_tile_right.visible = true;
		bottom_tile_left.visible = true;
		button_tile_right.visible = true;
		button_tile.visible = true;
		top.visible = true;

	}
	
}

function TogglePL()
{
	if (pl.visible)
	{
	pl.visible = false;

		
			if (player.currentMedia.ImageSourceWidth>0) 
			{
				vis.visible=false;
				video.visible=true;
			} else {
				vis.visible=true;
				video.visible=false;
			}

 } else {

	pl.visible = true;
	vis.visible="false"
	video.visible="false"

	}

	pl.setColumnResizeMode( 1, "stretches" );
	pl.setColumnResizeMode( 2, "stretches" );
	pl.setColumnResizeMode( 0, "stretches" );

}